Anonymous Login
2019-06-26 19:03 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000462v2.0 Release (Closed)[All Projects] Generalpublic2010-06-21 21:09
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Versionv2.0.0 
Target VersionFixed in Versionv2.0.0 
Summary0000462: no CustomOptionList class
Descriptionsee http://web2project.net/forums/viewtopic.php?p=5571#5571
Additional InformationOn displaying tasks, I get
Fatal error: Class 'CustomOptionList' not found in C:\xampp\htdocs\w2pd05\classes\w2p\Core\CustomFieldSelect.class.php on line 21

1 0.0027 247160 {main}( ) ..\index.php:0
2 0.2970 9173656 require( 'C:\xampp\htdocs\w2pd05\modules\tasks\view.php' ) ..\index.php:362
3 0.8357 10460896 w2p_Core_CustomFields->__construct( ) ..\view.php:319
4 0.8417 10537280 w2p_Core_CustomFieldSelect->__construct( ) ..\CustomFields.class.php:58


in the task view, below the description.


converted from dP, then updated today by copying nigthly from 100603 and 100605 over the source code. I think that is correct, isn't it?
Didn't try the task view before update.


In the code, there is no CustomOptionList Class, only:

Code:

 * CustomOptionList Class.
 *
 */

class w2p_Core_CustomOptionList {
 
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000954

opto (manager)

Last edited: 2010-06-05 03:20

http://bugs.web2project.net/bug_view_advanced_page.php?bug_id=461

says the class is in the file which is correct (PSPad didn't list it in the class window at first, so that note in the original description is wrong). But PHP doesn't seem to find it.
Klaus

~0000955

caseydk (administrator)

Resolved in r1134 and r1157

~0000961

opto (manager)

sorry for the bad news, but those two files didn't resolve the error for me.

Also, I realised that I have to run an update script via system admin in addition to copying the code over, this broke even more. see separate bug.

Klaus

~0000963

caseydk (administrator)

Did you fully update to r1157? Can you give me instructions on how to reproduce this one?

~0000965

caseydk (administrator)

I figured out your problem.. the nightly snapshot was made before my patch in r1157 existed. Is there any chance you could update from SVN directly instead of from the nightly snapshots? You should be able to do a checkout and then a simple 'svn up' whenever you need.

~0000968

caseydk (administrator)

As noted.
+Notes

-Issue History
Date Modified Username Field Change
2010-06-05 03:06 opto New Issue
2010-06-05 03:12 opto Note Added: 0000954
2010-06-05 03:17 opto Note Edited: 0000954
2010-06-05 03:18 opto Note Edited: 0000954
2010-06-05 03:20 opto Note Edited: 0000954
2010-06-05 06:16 caseydk Note Added: 0000955
2010-06-05 06:16 caseydk Status new => resolved
2010-06-05 06:16 caseydk Resolution open => fixed
2010-06-05 06:16 caseydk Assigned To => caseydk
2010-06-05 11:35 opto Note Added: 0000961
2010-06-05 11:35 opto Status resolved => feedback
2010-06-05 11:35 opto Resolution fixed => reopened
2010-06-05 15:57 caseydk Note Added: 0000963
2010-06-05 21:08 caseydk Note Added: 0000965
2010-06-05 21:45 caseydk Note Added: 0000968
2010-06-05 21:45 caseydk Status feedback => resolved
2010-06-05 21:45 caseydk Resolution reopened => fixed
2010-06-21 21:09 caseydk Status resolved => closed
2010-06-21 21:09 caseydk Fixed in Version => v2.0
+Issue History